libkf5ksieveui5_18.04.3-0ubuntu2_amd64.deb


Advertisement

Description

libkf5ksieveui5 - Sieve mail filtering language support for kdepim, GUI library

Property Value
Distribution Ubuntu 18.10 (Cosmic Cuttlefish)
Repository Ubuntu Universe amd64
Package filename libkf5ksieveui5_18.04.3-0ubuntu2_amd64.deb
Package name libkf5ksieveui5
Package version 18.04.3
Package release 0ubuntu2
Package architecture amd64
Package type deb
Category universe/libs
Homepage http://pim.kde.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 352.48 KB
Installed size 1.68 MB
This library implements GUI dialogs and elements which enable users to easily
create, edit and manage their mail filters on the mail servers which support
the Sieve language (RFC 3028) and the protocol for remotely managing Sieve
scripts (RFC 5804).
This package is part of the KDE PIM module.

Alternatives

Package Version Architecture Repository
libkf5ksieveui5_18.04.3-0ubuntu2_i386.deb 18.04.3 i386 Ubuntu Universe
libkf5ksieveui5 - - -

Requires

Name Value
kio -
libc6 >= 2.14
libkf5archive5 >= 4.96.0
libkf5completion5 >= 4.97.0
libkf5configcore5 >= 4.98.0
libkf5configgui5 >= 4.97.0
libkf5configwidgets5 >= 5.23.0
libkf5coreaddons5 >= 4.99.0
libkf5i18n5 >= 4.97.0
libkf5iconthemes5 >= 5.25.0
libkf5identitymanagement5abi1 >= 16.12.0
libkf5kiowidgets5 >= 4.96.0
libkf5kmanagesieve5 -
libkf5ksieve-data = 4:18.04.3-0ubuntu2
libkf5ksieve5 -
libkf5libkdepim-plugins -
libkf5libkdepim5abi2 >= 4:17.07.70+git20170928
libkf5mime5abi2 >= 17.11.70+git20170926.2149
libkf5newstuff5 >= 4.95.0
libkf5pimcommon-plugins -
libkf5pimcommon5abi3 >= 4:17.11.60+git20170824
libkf5pimtextedit5abi3 >= 18.03.70+git20171223
libkf5sonnetui5 >= 5.12.0
libkf5syntaxhighlighting5 -
libkf5widgetsaddons5 >= 5.4.0+git20141119.0013+15.04
libkf5windowsystem5 >= 4.96.0
libqt5core5a >= 5.11.0~rc1
libqt5dbus5 >= 5.6.1~
libqt5gui5 >= 5.7.0
libqt5network5 >= 5.6.1~
libqt5printsupport5 >= 5.6.1~
libqt5webenginewidgets5 >= 5.7.1
libqt5widgets5 >= 5.11.0~rc1
libstdc++6 >= 4.1.1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libkf5ksieveui5_18.04.3-0ubuntu2_amd64.deb
Source Package libkf5ksieve

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libkf5ksieveui5 deb package:
    # sudo apt-get install libkf5ksieveui5

Files

Path
/usr/lib/x86_64-linux-gnu/libKF5KSieveUi.so.5
/usr/lib/x86_64-linux-gnu/libKF5KSieveUi.so.5.8.3
/usr/share/doc/libkf5ksieveui5/changelog.Debian.gz
/usr/share/doc/libkf5ksieveui5/copyright

Changelog

2018-08-26 - Rik Mills <rikmills@kubuntu.org>
libkf5ksieve (4:18.04.3-0ubuntu2) cosmic; urgency=medium
* More tests disabling due to upstream brokenness.
2018-08-21 - Rik Mills <rikmills@kubuntu.org>
libkf5ksieve (4:18.04.3-0ubuntu1) cosmic; urgency=medium
* New upstream release (18.03.80)
* New upstream release (18.04.0)
* New upstream release (18.04.1)
* New upstream release (18.04.3)
* Drop upstream applied patches
2018-07-30 - Rik Mills <rikmills@kubuntu.org>
libkf5ksieve (4:17.12.3-0ubuntu3) cosmic; urgency=medium
* Skip testuite for now with Qt 5.11. To be reverted in PIM 18.04.3 if
fixable then.
2018-07-24 - Simon Quigley <tsimonq2@ubuntu.com>
libkf5ksieve (4:17.12.3-0ubuntu2) cosmic; urgency=medium
* Fix the build with Qt 5.11.
2018-03-16 - Rik Mills <rikmills@kubuntu.org>
libkf5ksieve (4:17.12.3-0ubuntu1) bionic; urgency=medium
* New upstream release (17.12.3)
2018-03-02 - Rik Mills <rikmills@kubuntu.org>
libkf5ksieve (4:17.12.2-0ubuntu3) bionic; urgency=medium
* Correct test patch for stable 17.12 branch
2018-03-02 - Rik Mills <rikmills@kubuntu.org>
libkf5ksieve (4:17.12.2-0ubuntu2) bionic; urgency=medium
* Add upstream patch to fix autopkgtests. Can be dropped in 17.12.3
- upstream_fix-autocreatescripts-selectheadertypecomboboxtest.patch
2018-02-28 - Rik Mills <rikmills@kubuntu.org>
libkf5ksieve (4:17.12.2-0ubuntu1) bionic; urgency=medium
* New upstream release (17.11.80)
* New upstream release (17.11.90)
* New upstream release (17.12.0)
* New upstream release (17.12.2)
2017-12-01 - Rik Mills <rikmills@kubuntu.org>
libkf5ksieve (4:17.08.3-0ubuntu1) bionic; urgency=medium
* New upstream release (17.08.3)
2017-08-21 - José Manuel Santamaría Lema <panfaust@gmail.com>
libkf5ksieve (4:17.04.3-0ubuntu1) artful; urgency=medium
[ Rik Mills ]
* Update build deps for upstream changes:
- Drop akonadi and akonadicontact.
- Add syntaxhighlighting.
[ José Manuel Santamaría Lema ]
* New upstream release (17.04.1)
* Install translations and add Breaks/Replaces against kde-l10n
* New upstream release (17.04.2)
* Add libkf5syntaxhighlighting-dev to libkf5ksieve-dev depends, fixing the
acc autopkgtest.
* New upstream release (17.04.3)

See Also

Package Description
libkf5ldap-data_18.04.3-0ubuntu1_all.deb library for accessing LDAP
libkf5ldap-dev_18.04.3-0ubuntu1_amd64.deb library for accessing LDAP - development files
libkf5ldap5_18.04.3-0ubuntu1_amd64.deb library for accessing LDAP
libkf5libkdepim-data_18.04.3-0ubuntu1_all.deb KDE PIM library - data files
libkf5libkdepim-dev_18.04.3-0ubuntu1_amd64.deb KDE PIM library - development files
libkf5libkdepim-plugins_18.04.3-0ubuntu1_amd64.deb KDE PIM library - plugins
libkf5libkdepim5abi2_18.04.3-0ubuntu1_amd64.deb KDE PIM library
libkf5libkdepimakonadi5_18.04.3-0ubuntu1_amd64.deb KDE PIM Akonadi library
libkf5libkleo-data_18.04.3-0ubuntu1_all.deb KDE PIM cryptographic library, data files
libkf5libkleo-dev_18.04.3-0ubuntu1_amd64.deb KDE PIM cryptographic library, devel files
libkf5libkleo5abi1_18.04.3-0ubuntu1_amd64.deb KDE PIM cryptographic library
libkf5mailcommon-dev_18.04.3-0ubuntu2_amd64.deb KDE PIM email utility library, devel files
libkf5mailcommon-plugins_18.04.3-0ubuntu2_amd64.deb KDE PIM email utility library, plugins
libkf5mailcommon5abi4_18.04.3-0ubuntu2_amd64.deb KDE PIM email utility library
libkf5mailimporter-data_18.04.3-0ubuntu2_all.deb KDE PIM Mail importer library
Advertisement
Advertisement